/*-------------------------------------------------------------------------
Open Asset Import Library (assimp)
---------------------------------------------------------------------------

Copyright (c) 2006-2025, assimp team

All rights reserved.

Redistribution and use of this software in source and binary forms,
with or without modification, are permitted provided that the following
conditions are met:

* Redistributions of source code must retain the above
copyright notice, this list of conditions and the
following disclaimer.

* Redistributions in binary form must reproduce the above
copyright notice, this list of conditions and the
following disclaimer in the documentation and/or other
materials provided with the distribution.

* Neither the name of the assimp team, nor the names of its
contributors may be used to endorse or promote products
derived from this software without specific prior
written permission of the assimp team.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-------------------------------------------------------------------------*/
#include "UnitTestPCH.h"
#include <assimp/version.h>

class utVersion : public ::testing::Test {
    // empty
};

TEST_F( utVersion, aiGetLegalStringTest ) {
    const char *lv = aiGetLegalString();
    EXPECT_NE( lv, nullptr );
    std::string text( lv );

    size_t pos = text.find(std::string("2025"));
    EXPECT_NE(pos, std::string::npos);
}

TEST_F( utVersion, aiGetVersionMajorTest ) {
    EXPECT_EQ( aiGetVersionMajor(), 6U );
}

TEST_F( utVersion, aiGetVersionMinorTest ) {
    EXPECT_EQ(aiGetVersionMinor(), 0U);
}

TEST_F( utVersion, aiGetVersionPatchTest ) {
    EXPECT_EQ(aiGetVersionPatch(), 2U );
}

TEST_F( utVersion, aiGetCompileFlagsTest ) {
    EXPECT_NE( aiGetCompileFlags(), 0U );
}

TEST_F( utVersion, aiGetVersionRevisionTest ) {
    EXPECT_NO_THROW(aiGetVersionRevision());
}

TEST_F( utVersion, aiGetBranchNameTest ) {
    EXPECT_NE( nullptr, aiGetBranchName() );
}
